---
name: Nicole Ann Precilla
locality: Quezon City
country: Philippines
role: <a href="/job-families/finance/payroll/">Junior Payroll Specialist</a>
reports_to: vlaughlan
picture: nicoleprecilla.jpg
twitter: 
gitlab: nprecilla
departments:
- Payroll
- Accounting
story: 'Before joining GitLab, Nikki has experienced working on Accounts Payable function
  for six years. She loves spending time with her family and enjoys going to the beach
  to explore.

'
